cordova.define("com.ijmtech.plugin.device.DeviceHelper", function(require, exports, module) {
var exec = require('cordova/exec');

exports.init = function (success, error) {
    exec(success, error, 'DeviceHelper', 'init', []);
};

exports.getManufacturer = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getManufacturer', []);
};

exports.getPhoneType = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getPhoneType', []);
};

exports.getOsType = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getOsType', []);
};

exports.getOsVersion = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getOsVersion', []);
};

exports.getAppSign = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getAppSign', []);
};

exports.getPkgName = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getPkgName', []);
};

exports.getAllMsg = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getAllMsg', []);
};

exports.getAppMsg = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getAppMsg', []);
};

exports.getExcusiveMsg = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getExcusiveMsg', []);
};

exports.getDispatcher = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getDispatcher', []);
};

exports.showToast = function (msg, isLong, success, error) {
    exec(success, error, 'DeviceHelper', 'showToast', [msg, isLong]);
};

exports.recordLoginMsg = function (strAccessToken, register, success, error) {
    exec(success, error, 'DeviceHelper', 'recordLoginMsg', [strAccessToken, register]);
};

exports.rightUpgraded = function (success, error) {
    exec(success, error, 'SupportHelper', 'rightUpgraded', []);
};

exports.getSoftwareMsg = function (bIncludeSystem, bIncludeNoneDesktop, success, error) {
    exec(success, error, 'DeviceHelper', 'getSoftwareMsg', [bIncludeSystem, bIncludeNoneDesktop]);
};

exports.getSingleAppMessage = function (pkgName, success, error) {
    exec(success, error, 'DeviceHelper', 'getSingleAppMessage', [pkgName]);
};

exports.syncDesktop = function (success, error) {
    exec(success, error, 'DeviceHelper', 'syncDesktop', []);
};

exports.getBackground = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getBackground', []);
};

exports.gotoPackage = function (strPkgName, success, error) {
    exec(success, error, 'DeviceHelper', 'gotoPackage', [strPkgName]);
};

exports.check = function (success, error) {
    exec(success, error, 'DeviceHelper', 'check', []);
};

exports.showServiceSetting = function (success, error) {
    exec(success, error, 'DeviceHelper', 'showServiceSetting', []);
};

exports.getAuthorityMessage = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getAuthorityMessage', []);
};

exports.openAuthority = function (strAuthority, success, error) {
    exec(success, error, 'DeviceHelper', 'openAuthority', [strAuthority]);
};

exports.autoOpenAuthority = function (success, error) {
    exec(success, error, 'DeviceHelper', 'autoOpenAuthority', []);
};

exports.getUserIdentity = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getUserIdentity', []);
};

exports.getSystemState = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getSystemState', []);
};

exports.getSystemTips = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getSystemTips', []);
};

exports.setLanguage = function (strLanguage, success, error) {
    exec(success, error, 'DeviceHelper', 'setLanguage', [strLanguage]);
};

exports.getLanguage = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getLanguage', []);
};

exports.pullDesktop = function (params, success, error) {
    exec(success, error, 'DeviceHelper', 'pullDesktop', [params]);
};

exports.startPage = function (page, params, encrpytPwd, success, error) {
    exec(success, error, 'DeviceHelper', 'startPage', [page, params, encrpytPwd]);
};

exports.setData = function (key, value, success, error) {
    exec(success, error, 'DeviceHelper', 'setData', [key, value]);
};

exports.getData = function (key, success, error) {
    exec(success, error, 'DeviceHelper', 'getData', [key]);
};

exports.startGuard = function (success, error) {
    exec(success, error, 'DeviceHelper', 'startGuard', []);
};

exports.stopGuard = function (success, error) {
    exec(success, error, 'DeviceHelper', 'stopGuard', []);
};

exports.isGuarding = function (success, error) {
    exec(success, error, 'DeviceHelper', 'isGuarding', []);
};

exports.canLaunch = function (pkgName, success, error) {
    exec(success, error, 'DeviceHelper', 'canLaunch', [pkgName]);
};

exports.pkgSettingsChanged = function (pkgNames, success, error) {
    exec(success, error, 'DeviceHelper', 'pkgSettingsChanged', [pkgNames]);
};

exports.getLock = function (lockName, success, error) {
    exec(success, error, 'DeviceHelper', 'getLock', [lockName]);
};

exports.unlock = function (lockName, success, error) {
    exec(success, error, 'DeviceHelper', 'unlock', [lockName]);
};

exports.getNativePushMsg = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getNativePushMsg', []);
};

exports.setUserKey = function (strUserKey, success, error) {
    exec(success, error, 'DeviceHelper', 'setUserKey', [strUserKey]);
};

exports.enterBusiness = function (strBusinessKey, success, error) {
    exec(success, error, 'DeviceHelper', 'enterBusiness', [strBusinessKey]);
};

exports.leaveBusiness = function (strBusinessKey, success, error) {
    exec(success, error, 'DeviceHelper', 'leaveBusiness', [strBusinessKey]);
};

exports.isNotificationOpened = function (success, error) {
    exec(success, error, 'DeviceHelper', 'isNotificationOpened', []);
};

exports.getNotificationChannels = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getNotificationChannels', []);
};

exports.gotoNotificationSettings = function (channelId, success, error) {
    exec(success, error, 'DeviceHelper', 'gotoNotificationSettings', [channelId]);
};

exports.setBadgeNumber = function (badgeNumber, success, error) {
    exec(success, error, 'DeviceHelper', 'setBadgeNumber', [badgeNumber]);
};

exports.clearCache = function (success, error) {
    exec(success, error, 'DeviceHelper', 'clearCache', []);
};

exports.getFileMd5 = function (strFilePath, success, error) {
    exec(success, error, 'DeviceHelper', 'getFileMd5', [strFilePath]);
};

exports.getStatusbarHeight = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getStatusbarHeight', []);
};

exports.getNavigationbarHeight = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getNavigationbarHeight', []);
};

exports.exitSubApp = function (success, error) {
    exec(success, error, 'DeviceHelper', 'exitSubApp', []);
};

exports.exitApp = function (success, error) {
    exec(success, error, 'DeviceHelper', 'exitApp', []);
};

exports.getManualSetDesktopPath = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getManualSetDesktopPath', []);
};

exports.isStatusNotificationOpened = function (success, error) {
    exec(success, error, 'DeviceHelper', 'isStatusNotificationOpened', []);
};

exports.gotoSetForStatusNotification = function (success, error) {
    exec(success, error, 'DeviceHelper', 'gotoSetForStatusNotification', []);
};

exports.payNotice = function (money, success, error) {
    exec(success, error, 'DeviceHelper', 'payNotice', [money]);
};

exports.submitLog = function (success, error) {
    exec(success, error, 'DeviceHelper', 'submitLog', []);
};

exports.getPkgRecord = function (success, error) {
    exec(success, error, 'DeviceHelper', 'getPkgRecord', []);
};

exports.startPageApi = function(page, params) {
    if (device.platform === "Android") {
        var event = {
            apiName: "startPage",
            page: page,
            params: params
        };
        cordova.fireDocumentEvent("devicehelper.apicall", event);
    }
};

});
